Core - Bug # 57008

Status: Resolved Priority: Must have
Author: Ernesto Baschny Category: Install Tool
Created: 2014-03-17 Assigned To:

Updated: 2014-03-18 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: Yes

Sprint Focus:

Subject: New Installation: Could not acquire lock for ClassLoader

Description

With the Class Loader Locking patch applied (see #55099) when installing a fresh new TYPOS3 installation (no typo3temp directory
present), | get:

(!) Fatal error: Uncaught exception 'RuntimeException’ with message 'Could not acquire lock for ClassLoader cache creation.' in
/www/sites/typo3-62/html/typo3_src/typo3/sysext/core/Classes/Core/ClassLoader.php on line 704

(') RuntimeException: Could not acquire lock for ClassLoader cache creation. in
/www/sites/typo3-62/html/typo3_src/typo3/sysext/core/Classes/Core/ClassLoader.php on line 704

This should be handled somehow.

Related issues:

related to Core - Bug # 55099: PHP Warnings after clearing configuration cach... Resolved 2014-01-17
related to Core - Bug # 57463: Upgrading 6.2: PHP Fatal error: Could not acqu... Resolved 2014-03-31
duplicated by Core - Bug # 57038: Cannot install 6.2 beta7 anymore from GIT Closed 2014-03-18

Associated revisions

Revision d2be4573 - 2014-03-18 21:20 - Alexander Opitz

[BUGFIX] Exception in Locker if typo3temp does not exist

Follow-up to 2268f64c18b607ba39d06b1580afb0ccd786d6b1

If typo3temp does not exist, the Locker should throw an exception.
The ClassLoader needs to catch this exception and acts upon
depending on whether we are in the Installer or not.

When in the Installer, locking has to be skipped completely due to

missing typo3temp directory.

Resolves: #57008

Releases: 6.2

Change-Id: 1c595dc97826cd94d6f173b7c681194ed754ed3e0
Reviewed-on: https://review.typo3.org/28482

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
History

#1 - 2014-03-17 22:42 - Markus Klein

- Is Regression changed from No to Yes

Thanks Ernesto.

So this happens when installing a fresh 6.2?

The directory should actually be created by the Locker class.

#2 - 2014-03-17 23:08 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28482

#3 - 2014-03-17 23:09 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28482

#4 - 2014-03-18 12:15 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28482

#5 - 2014-03-18 12:19 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28482

#6 - 2014-03-18 12:51 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28482

#7 - 2014-03-18 13:23 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28482

#8 - 2014-03-18 20:14 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28482
#9 - 2014-03-18 20:15 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28482

#10 - 2014-03-18 21:15 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28482

#11 - 2014-03-18 21:30 - Alexander Opitz
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d2be4573505d81e1c0c706817a693cecfb121fcb.
